> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /reverb/items/search

> Search Reverb (reverb.com) listings by keyword and filters

**Price:** 1 credit



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/reverb/items/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/reverb/items/search:
    post:
      tags:
        - /reverb
      summary: /reverb/items/search
      description: |-
        Search Reverb (reverb.com) listings by keyword and filters

        **Price:** 1 credit
      operationId: __api_reverb_items_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReverbSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ReverbSearchItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ReverbSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        currency:
          $ref: '#/components/schemas/ReverbCurrency'
          default: USD
        shipping_region:
          $ref: '#/components/schemas/ReverbShippingRegion'
          default: US_CON
        locale:
          $ref: '#/components/schemas/ReverbLocale'
          default: en
        query:
          anyOf:
            - type: string
            - type: 'null'
        make:
          anyOf:
            - type: string
            - type: 'null'
        product_type:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        condition:
          anyOf:
            - items:
                $ref: '#/components/schemas/ReverbConditionSlug'
              type: array
            - type: 'null'
        price_min:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        price_max:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        year_min:
          anyOf:
            - type: integer
            - type: 'null'
        year_max:
          anyOf:
            - type: integer
            - type: 'null'
        decade:
          anyOf:
            - $ref: '#/components/schemas/ReverbDecade'
            - type: 'null'
        sort:
          anyOf:
            - $ref: '#/components/schemas/ReverbListingSort'
            - type: 'null'
        free_shipping:
          anyOf:
            - type: boolean
            - type: 'null'
        free_expedited_shipping:
          anyOf:
            - type: boolean
            - type: 'null'
        local_pickup:
          anyOf:
            - type: boolean
            - type: 'null'
        handmade:
          anyOf:
            - type: boolean
            - type: 'null'
        on_sale:
          anyOf:
            - type: boolean
            - type: 'null'
        zero_percent_financing:
          anyOf:
            - type: boolean
            - type: 'null'
        preferred_seller:
          anyOf:
            - type: boolean
            - type: 'null'
        ships_to:
          anyOf:
            - $ref: '#/components/schemas/ReverbShippingRegion'
            - type: 'null'
        count:
          type: integer
          maximum: 2500
          minimum: 1
      type: object
      required:
        - count
    ReverbSearchItem:
      properties:
        '@type':
          type: string
          default: ReverbSearchItem
        id:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        listing_title:
          type: string
        make:
          anyOf:
            - type: string
            - type: 'null'
        model:
          anyOf:
            - type: string
            - type: 'null'
        finish:
          anyOf:
            - type: string
            - type: 'null'
        year:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        price_display:
          anyOf:
            - type: string
            - type: 'null'
        buyer_price:
          anyOf:
            - type: number
            - type: 'null'
        listing_currency:
          anyOf:
            - type: string
            - type: 'null'
        condition:
          anyOf:
            - $ref: '#/components/schemas/ReverbCondition'
            - type: 'null'
        categories:
          items:
            $ref: '#/components/schemas/ReverbCategory'
          type: array
          default: []
        state:
          anyOf:
            - type: string
            - type: 'null'
        is_auction:
          type: boolean
          default: false
        accepts_offers:
          type: boolean
          default: false
        inventory:
          anyOf:
            - type: integer
            - type: 'null'
        shop_id:
          anyOf:
            - type: integer
            - type: 'null'
        shop_name:
          anyOf:
            - type: string
            - type: 'null'
        shop_alias:
          anyOf:
            - type: string
            - type: 'null'
        is_shop_preferred_seller:
          type: boolean
          default: false
        shipping:
          anyOf:
            - $ref: '#/components/schemas/ReverbShipping'
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        published_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
        - listing_title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ReverbCurrency:
      type: string
      enum:
        - USD
        - CAD
        - EUR
        - GBP
        - AUD
        - JPY
        - NZD
    ReverbShippingRegion:
      type: string
      enum:
        - XX
        - US_CON
        - CA
        - GB
        - AU
        - FR
        - DE
        - JP
        - ID
        - US_AK
        - US_HI
        - US_PR
        - US_OTHER
    ReverbLocale:
      type: string
      enum:
        - en
        - fr
        - ja
        - es
        - de
        - it
    ReverbConditionSlug:
      type: string
      enum:
        - new
        - used
        - b-stock
        - brand-new
        - mint
        - excellent
        - very-good
        - good
        - fair
        - poor
        - non-functioning
    ReverbDecade:
      type: string
      enum:
        - 2020s
        - 2010s
        - 2000s
        - 1990s
        - 1980s
        - 1970s
        - 1960s
        - 1950s
        - pre-1950s
    ReverbListingSort:
      type: string
      enum:
        - best_match
        - price_asc
        - price_desc
        - most_recent
        - recently_listed
    ReverbCondition:
      properties:
        '@type':
          type: string
          default: ReverbCondition
        uuid:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        slug:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ReverbCategory:
      properties:
        '@type':
          type: string
          default: ReverbCategory
        uuid:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ReverbShipping:
      properties:
        '@type':
          type: string
          default: ReverbShipping
        has_local_pickup:
          type: boolean
          default: false
        has_free_expedited:
          type: boolean
          default: false
        rates:
          items:
            $ref: '#/components/schemas/ReverbShippingRate'
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    ReverbShippingRate:
      properties:
        '@type':
          type: string
          default: ReverbShippingRate
        region_code:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        display:
          anyOf:
            - type: string
            - type: 'null'
        is_carrier_calculated:
          type: boolean
          default: false
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````